#
# spec file for package mypy
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           mypy
Version:        0.521
Release:        2.2
Summary:        Optional static typing for Python
License:        MIT
Group:          Development/Languages/Python
Url:            http://www.mypy-lang.org/
Source:         https://files.pythonhosted.org/packages/source/m/mypy/mypy-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-typed-ast >= 1.0.3
Provides:       mypy
BuildArch:      noarch
%python_subpackages

%description
Mypy is an optional static type checker for Python that aims to
combine the benefits of both dynamic (or "duck") typing as well as
static typing.

Mypy type checks standard Python programs. It can catch many
programming errors by analyzing programs without having to run them.
There is basically no runtime overhead when run using any Python VM.
Mypy's type system features type inference, gradual typing, generics
and union types.

%prep
%setup -q -n mypy-%{version}

%build
%python_build
sed -i '1s/^#!.*//' typeshed/tests/*.py

%install
%python_install
%python_expand %fdupes %{buildroot}

%files %{python_files}
%{python_sitelib}/*
%{_bindir}/mypy
%{_bindir}/stubgen
%{_libexecdir}/mypy

%changelog
* Wed Aug  9 2017 sebix+novell.com@sebix.at
- fix shebang removal
* Thu Jul 27 2017 sebix+novell.com@sebix.at
- update to 0.521
  * Mypy Bugs Fixed
  * Fix crash on name collision for self attributes (Ivan Levkivskyi, PRs 3700 and 3719)
  * Fix bug in cache updates and improve cache logging (PR 3708)
  * Fix per-file strict Optional interaction with default-None args (PR 3686)
  * Fix crash in --quick mode when aliases are re-exported (Ivan Levkivskyi, PR 3740)
  * Fix crash on incompatible redefinition in named tuple (Ivan Levkivskyi, PR 3760)
  * Typeshed Bugs Fixed
  * Fix regressions in csv.DictReader (Thomas Grainger, PRs 1475 and 1478)
* Sat Jul 15 2017 sebix+novell.com@sebix.at
- upgrade to 0.520
  * Add :ref:`fine-grained control of Any types <disallow-any>`.
  * Add :ref:`typeddict`.
  * Other updates to :ref:`command-line`:
  * Add --no-implicit-optional.
  * Add --shadow-file.
  * Add --no-incremental.
* Thu Jul  6 2017 sebix+novell.com@sebix.at
- correct shebangs of typeshed libs
- fix build for older versions
* Thu Jul  6 2017 jengelh@inai.de
- Enhance description by some more text from the webpage.
* Tue Jun 27 2017 sebix+novell.com@sebix.at
- use python singlespec approach marking as uncompatible with python2
* Mon May  8 2017 sebix+novell.com@sebix.at
- first package
